## cubature 1.0

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive multivariate integration over hypercubes
Version: 1.0
Date: 2009-12-17
Author: C code by Steven G. Johnson, R by Balasubramanian Narasimhan
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Description: Adaptive multivariate integration over hypercubes
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2009-12-18 23:17:03 UTC; naras
Repository: CRAN
Date/Publication: 2009-12-20 09:34:47

## cubature 1.0.3+ds

=== Makefile ===
FILES = README COPYING pcubature.c hcubature.c cubature.h clencurt.h vwrapper.h converged.h test.c clencurt_gen.c ChangeLog NEWS

# CFLAGS = -pg -O3 -fno-inline-small-functions -Wall -ansi -pedantic
# CFLAGS = -g -Wall -ansi -pedantic
CFLAGS = -O3 -Wall -ansi -pedantic

all: htest ptest

htest: test.c hcubature.c cubature.h converged.h vwrapper.h
	cc $(CFLAGS) -o $@ test.c hcubature.c -lm

ptest: test.c pcubature.c cubature.h clencurt.h converged.h vwrapper.h
	cc $(CFLAGS) -DPCUBATURE -o $@ test.c pcubature.c -lm

clencurt.h: clencurt_gen.c # only depend on .c file so end-users don't re-gen
	make clencurt_gen
	./clencurt_gen 19 > $@

clencurt_gen: clencurt_gen.c
	cc $(CFLAGS) -o $@ clencurt_gen.c -lfftw3l -lm

clean:
	rm -f htest ptest clencurt_gen *.o

dll32:
	make clean
	i586-mingw32msvc-gcc -c -O3 hcubature.c
	i586-mingw32msvc-gcc -c -O3 pcubature.c
	i586-mingw32msvc-gcc -shared -o libcubature32-`grep '##' NEWS.md |head -n 1 |cut -d' ' -f3`.dll hcubature.o pcubature.o
	make clean

dll64:
	make clean
	x86_64-w64-mingw32-gcc -c -O3 hcubature.c
	x86_64-w64-mingw32-gcc -c -O3 pcubature.c
	x86_64-w64-mingw32-gcc -shared -o libcubature64-`grep '##' NEWS.md |head -n 1 |cut -d' ' -f3`.dll hcubature.o pcubature.o
	make clean

dylib64:
	make clean
	gcc -fPIC -c -O3 hcubature.c
	gcc -fPIC -c -O3 pcubature.c
	gcc -dynamiclib hcubature.o pcubature.o -o libcubature64-`grep '##' NEWS.md |head -n 1 |cut -d' ' -f3`.dylib
	make clean

dylib32:
	make clean
	gcc -m32 -fPIC -c -O3 hcubature.c
	gcc -m32 -fPIC -c -O3 pcubature.c
	gcc -m32 -dynamiclib hcubature.o pcubature.o -o libcubature32-`grep '##' NEWS.md |head -n 1 |cut -d' ' -f3`.dylib
	make clean

maintainer-clean:
	make clean
	rm -f clencurt.h

=== debian/changelog ===
cubature (1.0.3+ds-3) unstable; urgency=low

  * Check for fftw3l in d/rules

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Oct 2019 15:28:40 +0200

cubature (1.0.3+ds-2) unstable; urgency=low

  * Push Standards-Version to 4.4.1. No changes required.
  * Use fftw instead of fftwl on archs that don't provide it
  * Add more build time tests

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Oct 2019 11:54:28 +0200

cubature (1.0.3+ds-1) unstable; urgency=low

  * New package. Closes: #940903

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Sep 2019 18:31:27 +0200

=== debian/control ===
Source: cubature
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 12), dh-exec, libfftw3-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/science-team/cubature.git
Vcs-Browser: https://salsa.debian.org/science-team/cubature
Homepage: https://github.com/stevengj/cubature

Package: libcubature0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: Multi-dimensional adaptive integration (cubature) in C (shared lib)
 This is a simple C package for adaptive multidimensional integration
 (cubature) of vector-valued integrands over hypercubes. Of course, it
 can handle scalar integrands as the special case where f is a
 one-dimensional vector: the dimensionalities of f and x are independent.
 The integrand can be evaluated for an array of points at once to enable
 easy parallelization.
 .
 This package contains the shared library.

Package: libcubature-dev
Architecture: any
Section: libdevel
Depends: libcubature0 (= ${binary:Version}), ${misc:Depends}
Description: Multi-dimensional adaptive integration (cubature) in C
 This is a simple C package for adaptive multidimensional integration
 (cubature) of vector-valued integrands over hypercubes. Of course, it
 can handle scalar integrands as the special case where f is a
 one-dimensional vector: the dimensionalities of f and x are independent.
 The integrand can be evaluated for an array of points at once to enable
 easy parallelization.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

ifeq (,$(wildcard /usr/lib/$(DEB_BUILD_MULTIARCH)/libfftw3l*))
FFTWDEF=-DNO_LONG_DOUBLE_FFTW
FFTWLIB=-lfftw3
else
FFTWLIB=-lfftw3l
endif

override_dh_auto_build:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(FFTWDEF) $(LDFLAGS) -o clencurt_gen clencurt_gen.c $(FFTWLIB) -lm
	./clencurt_gen 19 > clencurt.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -fPIC -c hcubature.c pcubature.c
	$(CC) $(LDFLAGS) -shared -o libcubature.so.0 -Wl,-soname,libcubature.so.0 hcubature.o pcubature.o -lm

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o htest test.c hcubature.c -lm
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DPCUBATURE -o ptest test.c pcubature.c -lm
	./htest 3 1e-5 0
	./ptest 3 1e-5 0
	./htest 3 1e-5 1
	./ptest 3 1e-5 1
	./htest 3 1e-5 3
	./ptest 3 1e-5 3
	./htest 3 1e-5 4
	./ptest 3 1e-5 4
	./htest 3 1e-5 5
	./ptest 3 1e-5 5
	./htest 3 1e-5 6
	./ptest 3 1e-5 6
	./htest 3 1e-5 7
	./ptest 3 1e-5 7
endif

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,repacksuffix=+ds,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cubature-$1\.tar\.gz/ \
  https://github.com/stevengj/cubature/tags .*/v?(\d\S*)\.tar\.gz

## cubature 1.0.4%2Bds

=== debian/changelog ===
cubature (1.0.4+ds-2) unstable; urgency=medium

  * Explicitly cast pointer to long double (Closes: #1091244)
  * Push Standards-Version to 4.7.0, no changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Dec 2024 12:43:49 +0100

cubature (1.0.4+ds-1) unstable; urgency=medium

  * Make build cross buildable (Closes: #984877)
    - Thank you, Helmut Grohne
  * New upstream version 1.0.4+ds
  * Declare compliance with policy 4.5.1
  * Bump compat version to 13

 -- Nilesh Patra <nilesh@debian.org>  Sat, 14 Aug 2021 02:44:02 +0530

cubature (1.0.3+ds-4) unstable; urgency=medium

  * Replace DEB_BUILD_MULTIARCH with DEB_HOST_MULTIARCH
  * Include dpkg buildflags to make package cross-buildable
  * Add myself to uploaders
  * Replace deprecated adttmp with AUTOPKGTEST_TMP
  * Add "Rules-Requires-Root: no"
  * Bump watch version to 4

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 20 Feb 2021 15:44:12 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: cubature
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec, libfftw3-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               libfftw3-dev,
+               libfftw3-dev:native
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/science-team/cubature
 Vcs-Git: https://salsa.debian.org/science-team/cubature.git
-Vcs-Browser: https://salsa.debian.org/science-team/cubature
 Homepage: https://github.com/stevengj/cubature
+Rules-Requires-Root: no
 
 Package: libcubature0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Multi-dimensional adaptive integration (cubature) in C (shared lib)
  This is a simple C package for adaptive multidimensional integration
  (cubature) of vector-valued integrands over hypercubes. Of course, it
@@ -26,7 +32,8 @@
 Package: libcubature-dev
 Architecture: any
 Section: libdevel
-Depends: libcubature0 (= ${binary:Version}), ${misc:Depends}
+Depends: libcubature0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Multi-dimensional adaptive integration (cubature) in C
  This is a simple C package for adaptive multidimensional integration
  (cubature) of vector-valued integrands over hypercubes. Of course, it

## cubature 1.0.4+ds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-FILES = README COPYING pcubature.c hcubature.c cubature.h clencurt.h vwrapper.h converged.h test.c clencurt_gen.c ChangeLog NEWS
+FILES = README.md COPYING.md pcubature.c hcubature.c cubature.h clencurt.h vwrapper.h converged.h test.c clencurt_gen.c NEWS.md
 
 # CFLAGS = -pg -O3 -fno-inline-small-functions -Wall -ansi -pedantic
 # CFLAGS = -g -Wall -ansi -pedantic

=== debian/changelog ===
cubature (1.0.4+ds-3) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libcubature0: Add Multi-Arch: same.

  [ Nilesh Patra ]
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders
  * Add d/clean to cleanup genfiles/binaries (Closes: #1044380)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 15:05:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: cubature
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libfftw3-dev,
                libfftw3-dev:native
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/cubature
 Vcs-Git: https://salsa.debian.org/science-team/cubature.git
 Homepage: https://github.com/stevengj/cubature
-Rules-Requires-Root: no
 
 Package: libcubature0
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: Multi-dimensional adaptive integration (cubature) in C (shared lib)
  This is a simple C package for adaptive multidimensional integration
  (cubature) of vector-valued integrands over hypercubes. Of course, it

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,18 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@
 
 ifeq (,$(wildcard /usr/lib/$(DEB_BUILD_MULTIARCH)/libfftw3l*))
+FFTWDEF_FOR_BUILD=-DNO_LONG_DOUBLE_FFTW
+FFTWLIB_FOR_BUILD=-lfftw3
+else
+FFTWLIB_FOR_BUILD=-lfftw3l
+endif
+ifeq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3l*))
 FFTWDEF=-DNO_LONG_DOUBLE_FFTW
 FFTWLIB=-lfftw3
 else
@@ -15,7 +22,7 @@
 endif
 
 override_dh_auto_build:
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(FFTWDEF) $(LDFLAGS) -o clencurt_gen clencurt_gen.c $(FFTWLIB) -lm
+	$(CC_FOR_BUILD) $(CFLAGS) $(CPPFLAGS) $(FFTWDEF_FOR_BUILD) $(LDFLAGS) -o clencurt_gen clencurt_gen.c $(FFTWLIB_FOR_BUILD) -lm
 	./clencurt_gen 19 > clencurt.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -fPIC -c hcubature.c pcubature.c
 	$(CC) $(LDFLAGS) -shared -o libcubature.so.0 -Wl,-soname,libcubature.so.0 hcubature.o pcubature.o -lm

=== debian/tests/control ===
Tests: run-tests
Depends: libcubature-dev, build-essential

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds//,repacksuffix=+ds,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cubature-$1\.tar\.gz/ \
  https://github.com/stevengj/cubature/tags .*/v?(\d\S*)\.tar\.gz

## cubature 1.1

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive multivariate integration over hypercubes
Version: 1.1
Date: 2011-11-10
Author: C code by Steven G. Johnson, R by Balasubramanian Narasimhan
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Description: Adaptive multivariate integration over hypercubes
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-11-21 23:03:37 UTC; naras
Repository: CRAN
Date/Publication: 2011-11-22 08:45:22

## cubature 1.1-1

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive multivariate integration over hypercubes
Version: 1.1-1
Date: 2011-12-01
Author: C code by Steven G. Johnson, R by Balasubramanian Narasimhan
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Description: Adaptive multivariate integration over hypercubes
License: GPL (>= 2)
Packaged: 2011-12-08 18:22:52 UTC; naras
Repository: CRAN
Date/Publication: 2011-12-08 20:09:11

## cubature 1.3-8

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive Multivariate Integration over Hypercubes
Version: 1.3-8
VignetteBuilder: knitr
URL: https://github.com/bnaras/cubature
Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
	   	   email = "naras@stat.stanford.edu"),
           person(c("Steven", "G."), "Johnson", role=c("aut")))
Description: R wrapper around the cubature C library of
    Steven G. Johnson for adaptive multivariate integration over hypercubes.
    This version provides both hcubature and pcubature routines in addition
    to a vector interface that results in substantial speed gains.
License: GPL-3
LinkingTo: Rcpp
Imports: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.0.1
Suggests: testthat, knitr, mvtnorm, R2Cuba, benchr
Packaged: 2017-05-10 17:23:19 UTC; naras
Author: Balasubramanian Narasimhan [aut, cre],
  Steven G. Johnson [aut]
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Repository: CRAN
Date/Publication: 2017-05-11 07:49:11 UTC

## cubature 1.3-13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 1.3-8
+Version: 1.3-13
 VignetteBuilder: knitr
 URL: https://github.com/bnaras/cubature
+BugReports: https://github.com/bnaras/cubature/issues
 Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
 	   	   email = "naras@stat.stanford.edu"),
+	     person("Manuel", "Koller", role=c("ctb"),
+	           email = "koller.manuel@gmail.com"),
            person(c("Steven", "G."), "Johnson", role=c("aut")))
 Description: R wrapper around the cubature C library of
     Steven G. Johnson for adaptive multivariate integration over hypercubes.
@@ -17,9 +20,10 @@
 NeedsCompilation: yes
 RoxygenNote: 6.0.1
 Suggests: testthat, knitr, mvtnorm, R2Cuba, benchr
-Packaged: 2017-05-10 17:23:19 UTC; naras
+Packaged: 2018-06-11 20:07:19 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
+  Manuel Koller [ctb],
   Steven G. Johnson [aut]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2017-05-11 07:49:11 UTC
+Date/Publication: 2018-06-11 21:13:06 UTC

## cubature 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 1.3-13
+Version: 1.4
 VignetteBuilder: knitr
 URL: https://github.com/bnaras/cubature
 BugReports: https://github.com/bnaras/cubature/issues
@@ -20,10 +20,10 @@
 NeedsCompilation: yes
 RoxygenNote: 6.0.1
 Suggests: testthat, knitr, mvtnorm, R2Cuba, benchr
-Packaged: 2018-06-11 20:07:19 UTC; naras
+Packaged: 2018-06-13 12:23:48 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2018-06-11 21:13:06 UTC
+Date/Publication: 2018-06-13 22:22:54 UTC

=== src/cubature-1.0.3/Makefile ===
# NOT PART OF cubature-1.0.2
#
#  Build the library.
#

libcubature.a: hcubature.o pcubature.o
	${AR} cr libcubature.a  hcubature.o pcubature.o
#
# To clean things up.
#
clean:
	rm -f *.o
	rm -f libcubature.a cubature.ts

## cubature 1.4-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 1.4
+Version: 1.4-1
 VignetteBuilder: knitr
 URL: https://github.com/bnaras/cubature
 BugReports: https://github.com/bnaras/cubature/issues
@@ -19,11 +19,11 @@
 Imports: Rcpp
 NeedsCompilation: yes
 RoxygenNote: 6.0.1
-Suggests: testthat, knitr, mvtnorm, R2Cuba, benchr
-Packaged: 2018-06-13 12:23:48 UTC; naras
+Suggests: testthat, knitr, mvtnorm, benchr
+Packaged: 2018-10-25 23:37:30 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2018-06-13 22:22:54 UTC
+Date/Publication: 2018-10-26 05:00:03 UTC

## cubature 2.0

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive Multivariate Integration over Hypercubes
Version: 2.0
VignetteBuilder: knitr
URL: https://bnaras.github.io/cubature
BugReports: https://github.com/bnaras/cubature/issues
Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
	   	   email = "naras@stat.stanford.edu"),
	     person("Manuel", "Koller", role=c("ctb"),
	           email = "koller.manuel@gmail.com"),
             person(c("Steven", "G."), "Johnson", role=c("aut")),
             person("Thomas", "Hahn", role=c("aut")),
	     person("Annie", "Bouvier", role=c("aut")),
	     person("Kiên", "Kiêu", role=c("aut"), email = "Kien.Kieu@jouy.inra.fr"),
	     person("Simen", "Gaure", role=c("ctb"),
	           email = "simen.gaure@frisch.uio.no"))
Description: R wrappers around the cubature C library of Steven
    G. Johnson for adaptive multivariate integration over hypercubes
    and the Cuba C library of Thomas Hahn for deterministic and
    Monte Carlo integration. Scalar and vector interfaces for 
    cubature and Cuba routines are provided; the vector interfaces
    are highly recommended as demonstrated in the package
    vignette.
License: GPL-3
Encoding: UTF-8
LinkingTo: Rcpp
Imports: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.1.1
Suggests: testthat, knitr, mvtnorm, benchr
Packaged: 2018-11-22 23:06:17 UTC; naras
Author: Balasubramanian Narasimhan [aut, cre],
  Manuel Koller [ctb],
  Steven G. Johnson [aut],
  Thomas Hahn [aut],
  Annie Bouvier [aut],
  Kiên Kiêu [aut],
  Simen Gaure [ctb]
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Repository: CRAN
Date/Publication: 2018-11-23 05:30:09 UTC

## cubature 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0
+Version: 2.0.1
 VignetteBuilder: knitr
 URL: https://bnaras.github.io/cubature
 BugReports: https://github.com/bnaras/cubature/issues
@@ -29,7 +29,7 @@
 NeedsCompilation: yes
 RoxygenNote: 6.1.1
 Suggests: testthat, knitr, mvtnorm, benchr
-Packaged: 2018-11-22 23:06:17 UTC; naras
+Packaged: 2018-11-29 17:05:29 UTC; ripley
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -39,4 +39,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2018-11-23 05:30:09 UTC
+Date/Publication: 2018-11-29 17:24:48 UTC

## cubature 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.1
+Version: 2.0.2
 VignetteBuilder: knitr
+SystemRequirements: GNU make
 URL: https://bnaras.github.io/cubature
 BugReports: https://github.com/bnaras/cubature/issues
 Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
@@ -29,7 +30,7 @@
 NeedsCompilation: yes
 RoxygenNote: 6.1.1
 Suggests: testthat, knitr, mvtnorm, benchr
-Packaged: 2018-11-29 17:05:29 UTC; ripley
+Packaged: 2018-12-11 00:47:48 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -39,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2018-11-29 17:24:48 UTC
+Date/Publication: 2018-12-11 08:40:12 UTC

## cubature 2.0.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.2
+Version: 2.0.4.4
 VignetteBuilder: knitr
 SystemRequirements: GNU make
-URL: https://bnaras.github.io/cubature
+URL: https://bnaras.github.io/cubature/
 BugReports: https://github.com/bnaras/cubature/issues
 Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
 	   	   email = "naras@stat.stanford.edu"),
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 6.1.1
-Suggests: testthat, knitr, mvtnorm, benchr
-Packaged: 2018-12-11 00:47:48 UTC; naras
+RoxygenNote: 7.1.2
+Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
+Packaged: 2022-03-22 22:02:44 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2018-12-11 08:40:12 UTC
+Date/Publication: 2022-03-22 23:20:02 UTC

## cubature 2.0.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.4.4
+Version: 2.0.4.5
 VignetteBuilder: knitr
 SystemRequirements: GNU make
 URL: https://bnaras.github.io/cubature/
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
-Packaged: 2022-03-22 22:02:44 UTC; naras
+Packaged: 2022-08-16 07:30:54 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2022-03-22 23:20:02 UTC
+Date/Publication: 2022-08-16 15:40:05 UTC

## cubature 2.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.4.5
+Version: 2.1.2
 VignetteBuilder: knitr
-SystemRequirements: GNU make
+SystemRequirements: GNU make and USE_C17
 URL: https://bnaras.github.io/cubature/
 BugReports: https://github.com/bnaras/cubature/issues
 Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.2
 Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
-Packaged: 2022-08-16 07:30:54 UTC; naras
+Packaged: 2025-05-05 21:38:08 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2022-08-16 15:40:05 UTC
+Date/Publication: 2025-05-05 22:30:01 UTC

## cubature 2.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.1.2
+Version: 2.1.3
 VignetteBuilder: knitr
 SystemRequirements: GNU make and USE_C17
 URL: https://bnaras.github.io/cubature/
@@ -30,7 +30,7 @@
 NeedsCompilation: yes
 RoxygenNote: 7.3.2
 Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
-Packaged: 2025-05-05 21:38:08 UTC; naras
+Packaged: 2025-05-15 20:22:32 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2025-05-05 22:30:01 UTC
+Date/Publication: 2025-05-20 15:20:02 UTC

=== src/cubature-1.0.4/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.0 )

project( cubature )

add_library( cubature SHARED 
    hcubature.c
    pcubature.c)
target_include_directories( cubature PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:.>)
  
add_executable( htest test.c )
target_link_libraries( htest cubature m )

add_executable( ptest test.c )
target_link_libraries( ptest cubature m )
target_compile_definitions( ptest PRIVATE PCUBATURE=1 )

include(GNUInstallDirs)
install( TARGETS cubature DESTINATION ${CMAKE_INSTALL_LIBDIR} )
install( FILES cubature.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )
